Get Homebeat metadata

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/cloud-cma/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Cloud CMA MCP server": {
    "url": "https://apidocs.lwolf.com/doc/cloud-cma/mcp"
  }
}

Close
GET /homebeats/widget

Retrieve metadata about Homebeat feature availability, MLS property types, and supported frequencies for a user.

Query parameters

  • api_key string Required

    Cloud CMA API key (from Account Settings > Integrations)

Responses

  • 200 application/json

    Homebeat metadata

    Hide response attributes Show response attributes object
    • user object
      Hide user attributes Show user attributes object
      • id integer
      • api_key string
    • mls object
      Hide mls attributes Show mls attributes object
      • code string

        MLS code identifier

      • title string

        Full MLS name

      • prop_types array[string]

        Property types available in this MLS

      • default_prop_type string
    • homebeat object
      Hide homebeat attributes Show homebeat attributes object
      • has_feature boolean

        Whether user has Homebeat add-on enabled

      • frequencies array[string]

        Supported update frequencies

        Values are monthly, quarterly, semi-annually, annually, or never.

  • 400

    Invalid API key or user not found

GET /homebeats/widget
curl \
 --request GET 'https://cloudcma.com/homebeats/widget?api_key=string&api_key=api_token_value'
Response examples (200)
{
  "user": {
    "id": 42,
    "api_key": "string"
  },
  "mls": {
    "code": "string",
    "title": "string",
    "prop_types": [
      "string"
    ],
    "default_prop_type": "string"
  },
  "homebeat": {
    "has_feature": true,
    "frequencies": [
      "monthly"
    ]
  }
}